%define	name	xmms-liveice
%define	version	1.0.0
%define	release	4

Summary:	LiveIce Plugin for XMMS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Multimedia
URL:		http://star.arm.ac.uk/~spm/software/liveice.html
Source:		liveice-xmms.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	xmms >= 1.0.0
BuildPrereq:	xmms-devel

%description
LiveIce Plugin for XMMS

LiveIce XMMS is an effects plugin for xmms which sends streams to IceCast
and provides a limited set of functions similar to those provided by liveice
but without half the hassle. LiveIce XMMS lacks many of the features of
the full version of LiveIce but provides the main functions needed to
stream from xmms. Much of this simplicity comes from the GUI which was
designed by Peter from the XMMS team.

%prep
%setup -q -n LiveIce-%{version}

%build
%configure --prefix=%{_prefix}

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/xmms/Effect/libliveice.so

%changelog
* Thu Oct 26 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed a few things for Red Hat 7.0

* Fri Mar 10 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-liveice-1.0.0-3]
- Rebuilt with a newer source tar.gz, No version number change.

* Sat Feb  5 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-liveice-1.0.0-2]
- Fixed description. Was majorly wrong.

* Fri Feb  4 2000 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build.

  [xmms-liveice-1.0.0-1]
- Fixed memory leak in liveice.c
- Setup the GUI to use the check buttons
- Added data structures for checking conditions
- Changed the restart code to be more intelligent (read long)
- Closes connection when you hit OK or apply 
  I know this is far from Ideal - but it makes it more useful

